C
C    Copyright (C) 2009 Anders Aspegren Søndergaard <andersas@gmail.com>
C    -------------------------------------------------------------------

C    This file is part of Wavlib.

C    Wavlib is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.

C    Wavlib is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.

C    You should have received a copy of the GNU General Public License
C    along with Wavlib. If not, see <http://www.gnu.org/licenses/>.


C      Opens a wavfile and reads out info about the file 

       PROGRAM TEST
      
        IMPLICIT NONE 
        INTEGER OPENW,WAVERR,WAVIFO
        INTEGER FLAF

        FLAF = OPENW(10,'test.wav')

        IF (FLAF .EQ. 0) THEN
              WRITE(*,*) 'RIFF file found.'
              WRITE(*,*) WAVIFO(10,'Channels'), ' channels,'
              WRITE(*,*) WAVIFO(10,'Samples'), ' samples per channel,'
              WRITE(*,*) WAVIFO(10,'Samplerate'), ' samples per second,'
              WRITE(*,*) WAVIFO(10,'BitsPerSample'), ' bits per sample.'
        
              CALL CLOSEW(10)
        ELSE
              WRITE(*,*) 'Could not open file.'
              WRITE(*,*) 'OPENWAV: ', FLAF
              WRITE(*,*) 'IOS: ', WAVERR()
        ENDIF


      STOP
      END

