# Currently supported systems are gnu, posix and win
# for GNU(/Linux) systems, POSIX compatible systems
# and win32 systems, respectively.

SYSTEM = gnu
#SYSTEM = posix
#SYSTEM = win

# system commands (POSIX/GNU):
delete = rm -f
link = ln -f -s
copy = cp
# directory delimiter
delimit = /
# system commands (windows):
#delete = -del /F
#link = copy
#copy = copy
#delimit = \ 

# Set this to long long int if you compile with 64 bit integers
FINT = unsigned int
# FINT = long long int

# Where to install the library
INSTALL_DIR = /usr/local/lib
# Where to install manuals:
MANDIR = /usr/share/man

# What type of linking to use (shared or static). make clean
# when changing this option.
LINKING = shared
#LINKING = static

# compiler options
compiler = gfortran -Wall
ccompiler = gcc -Wall
optimization = -O3

