C
C    Copyright (C) 2009 Anders Aspegren Søndergaard <andersas@gmail.com>
C    -------------------------------------------------------------------

C    This file is part of Wavlib.

C    Wavlib is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.

C    Wavlib is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.

C    You should have received a copy of the GNU General Public License
C    along with Wavlib. If not, see <http://www.gnu.org/licenses/>.


C     Get logical length of string STR by looping over
C     string from end until other than space is found.

      INTEGER FUNCTION LOGLEN(STR)
        IMPLICIT NONE
        CHARACTER STR*(*)
        INTEGER I

        LOGLEN = LEN(STR)
        DO 10 I = 1, LEN(STR)
                IF (STR(LOGLEN:LOGLEN) .NE. ' ') THEN
                        RETURN
                ENDIF
                LOGLEN = LOGLEN - 1
  10    CONTINUE

      RETURN
      END


