C
C    Copyright (C) 2009 Anders Aspegren Søndergaard <andersas@gmail.com>
C    -------------------------------------------------------------------

C    This file is part of Wavlib.

C    Wavlib is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.

C    Wavlib is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.

C    You should have received a copy of the GNU General Public License
C    along with Wavlib. If not, see <http://www.gnu.org/licenses/>.


C     Returns information on the open wavefile U.
C     PROP is one of the strings
C     'Channels', 'Samples', 'Samplerate', 'BitsPerSample'
      INTEGER FUNCTION WAVIFO (U,PROP)
        IMPLICIT NONE
        INTEGER U
        CHARACTER*(*) PROP
        INCLUDE "../../common/wav.f"

        WAVIFO = -1

C       These are all -1 if the file has not been opened.
        IF (PROP .EQ. 'Channels') WAVIFO = DESCR(DESCNS,U)
        IF (PROP .EQ. 'Samples') WAVIFO = DESCR(DESSAM,U)
        IF (PROP .EQ. 'Samplerate') WAVIFO = DESCR(DESRTE,U)
        IF (PROP .EQ. 'BitsPerSample') WAVIFO = DESCR(DESBPS,U)

        RETURN
      END
