C
C    Copyright (C) 2009 Anders Aspegren Søndergaard <andersas@gmail.com>
C    -------------------------------------------------------------------

C    This file is part of Wavlib.

C    Wavlib is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.

C    Wavlib is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.

C    You should have received a copy of the GNU General Public License
C    along with Wavlib. If not, see <http://www.gnu.org/licenses/>.


C     Function to write all buffers to their files.
C     It returns exactly the same as OPENW,
C     or -20 on error:

      INTEGER FUNCTION SYNCW(U)
        IMPLICIT NONE
        INTEGER U
        INTEGER I,ENDLN
        INCLUDE "../../common/wav.f"
        CHARACTER FNAME*(NAMLEN), FNAME2*(NAMLEN+10)

        INTEGER OPENW
        
C       If the file is an open wave file that has been written to:
        IF (DESCR(DESLEN,U) .GE. 0 .AND. FILEWR(U)) THEN

                INQUIRE(UNIT=U,NAME=FNAME)
                INQUIRE(UNIT=U,NAME=FNAME2)

                IF (FNAME .NE. FNAME2) THEN
C                       Filename too long, don't attempt
C                       to close and reopen it:
                        SYNCW = -20
                        RETURN
                ENDIF

C               Find logical lenght of FNAME:
                ENDLN = NAMLEN
                DO 10 I = 1, NAMLEN
                        IF (FNAME(ENDLN:ENDLN) .NE. ' ') GOTO 20
                        ENDLN = ENDLN - 1
   10           CONTINUE
   20           CONTINUE

                CALL CLOSEW(U)
                SYNCW = OPENW(U, FNAME(1:ENDLN))

        ELSE
                SYNCW = -20
        ENDIF

      RETURN
      END
