C
C    Copyright (C) 2009 Anders Aspegren Søndergaard <andersas@gmail.com>
C    -------------------------------------------------------------------

C    This file is part of Wavlib.

C    Wavlib is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.

C    Wavlib is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.

C    You should have received a copy of the GNU General Public License
C    along with Wavlib. If not, see <http://www.gnu.org/licenses/>.


C       Program to test the maximum file size supported by wavlib

        PROGRAM MAXW

        INTEGER MAXWAV
        REAL OUTP
        CHARACTER UNT*2

        IF (MAXWAV() .LE. 1024) THEN
                OUTP = MAXWAV()
                UNT = 'b '
        ELSE IF (MAXWAV() .LE. 1024*1024) THEN
                OUTP = MAXWAV()/1024.0
                UNT = 'kb'
        ELSE IF (MAXWAV() .LE. 1024*1024*1024) THEN
                OUTP = MAXWAV()/1024.0/1024.0
                UNT = 'mb'
        ELSE
                OUTP = MAXWAV()/1024.0/1024.0/1024.0
                UNT = 'gb'
        ENDIF
        WRITE(*,101)   '**************************************',
     +               '**********'
        WRITE(*,100) '* Maximum supported wav file length: ', OUTP, ' ',
     +  UNT, ' *'
        WRITE(*,101) '*                                    ~',
     +               '~~~~~~~~ *'
        WRITE(*,101)   '**************************************',
     +               '**********'

        STOP

  100   FORMAT (A,F6.1,A,A,A)
  101   FORMAT (A,A)

        END
